Subject: Re: bug#65039: [PATCH] Add bookmark handler for shell-mode

From: Ship Mints <[email-masked]>
Date: Fri, 14 Feb 2025 10:33:30 -0500

On Fri, Feb 14, 2025 at 9:59 AM Michael Albinus <[email-masked]>
wrote:

> Ship Mints <[email-masked]> writes:
>
> > If it is possible to do at bookmarking time, please tell me how. If
> > this is not possible, we will highlight in the docs that
> > tramp-show-ad-hoc-proxies must be t if users expect multi-hop
> > bookmarks to be effective.
>
> I'll check, whether I can improve this in Tramp.
>

Perhaps something as simple as a buffer-local in either the main buffer or
in the remote buffer, accessible via with-connection-local-variables?

I'll work on the documentation as Eli suggested and post a revised patch
today including documentation for tramp-show-ad-hoc-proxies.